package com.example.livingai.domain.usecases

import com.example.livingai.domain.model.AnimalRating
import com.example.livingai.domain.repository.business.AnimalRatingRepository

class SetAnimalRatings(
    private val animalRatingRepository: AnimalRatingRepository
) {
    suspend operator fun invoke(animalRating: AnimalRating) {
        animalRatingRepository.saveAnimalRating(animalRating)
    }
}
